package com.smppw.modaq.domain.dto;

import cn.hutool.core.io.FileUtil;
import lombok.Getter;

@Getter
public class EmailZipFileDTO {
    private final String filename;
//    private final String originalName;
    private final String filepath;
    private final Integer emailType;

    public EmailZipFileDTO(String filepath, Integer emailType) {
        this.filepath = filepath;
        this.emailType = emailType;
        this.filename = FileUtil.getName(filepath);
    }

    public EmailZipFileDTO(String filepath, String filename, Integer emailType) {
        this.filepath = filepath;
        this.emailType = emailType;
        this.filename = filename;
    }

    @Override
    public String toString() {
        return "EmailZipFileDTO{" +
                "filename='" + filename + '\'' +
                ", filepath='" + filepath + '\'' +
                ", emailType=" + emailType +
                '}';
    }
}
